JaxbEntityMappings (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEntityMappings

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEntityMappings

    public class JaxbEntityMappings

extends Object

The entity-mappings element is the root element of a mapping file. It contains the following four types of elements: 1. The persistence-unit-metadata element contains metadata for the entire persistence unit. It is undefined if this element occurs in multiple mapping files within the same persistence unit. 2. The package, schema, catalog and access elements apply to all of the entity, mapped-superclass and embeddable elements defined in the same file in which they occur. 3. The sequence-generator, table-generator, named-query, named-native-query and sql-result-set-mapping elements are global to the persistence unit. It is undefined to have more than one sequence-generator or table-generator of the same name in the same or different mapping files in a persistence unit. It is also undefined to have more than one named-query, named-native-query, or result-set-mapping of the same name in the same or different mapping files in a persistence unit. 4. The entity, mapped-superclass and embeddable elements each define the mapping information for a managed persistent class. The mapping information contained in these elements may be complete or it may be partial.

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="persistence-unit-metadata" type="{http://java.sun.com/xml/ns/persistence/orm}persistence-unit-metadata" minOccurs="0"/>
             <element name="package" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="schema" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="access" type="{http://java.sun.com/xml/ns/persistence/orm}access-type" minOccurs="0"/>
             <element name="sequence-generator" type="{http://java.sun.com/xml/ns/persistence/orm}sequence-generator" maxOccurs="unbounded" minOccurs="0"/>
             <element name="table-generator" type="{http://java.sun.com/xml/ns/persistence/orm}table-generator" maxOccurs="unbounded" minOccurs="0"/>
             <element name="named-query" type="{http://java.sun.com/xml/ns/persistence/orm}named-query" maxOccurs="unbounded" minOccurs="0"/>
             <element name="named-native-query" type="{http://java.sun.com/xml/ns/persistence/orm}named-native-query" maxOccurs="unbounded" minOccurs="0"/>
             <element name="sql-result-set-mapping" type="{http://java.sun.com/xml/ns/persistence/orm}sql-result-set-mapping" maxOccurs="unbounded" minOccurs="0"/>
             <element name="mapped-superclass" type="{http://java.sun.com/xml/ns/persistence/orm}mapped-superclass" maxOccurs="unbounded" minOccurs="0"/>
             <element name="entity" type="{http://java.sun.com/xml/ns/persistence/orm}entity" maxOccurs="unbounded" minOccurs="0"/>
             <element name="embeddable" type="{http://java.sun.com/xml/ns/persistence/orm}embeddable" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="version" use="required" type="{http://java.sun.com/xml/ns/persistence/orm}versionType" fixed="2.0" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `_package`
`protected JaxbAccessType` | `access`
`protected String` | `catalog`
`protected String` | `description`
`protected List<JaxbEmbeddable>` | `embeddable`
`protected List<JaxbEntity>` | `entity`
`protected List<JaxbMappedSuperclass>` | `mappedSuperclass`
`protected List<JaxbNamedNativeQuery>` | `namedNativeQuery`
`protected List<JaxbNamedQuery>` | `namedQuery`
`protected JaxbPersistenceUnitMetadata` | `persistenceUnitMetadata`
`protected String` | `schema`
`protected List<JaxbSequenceGenerator>` | `sequenceGenerator`
`protected List<JaxbSqlResultSetMapping>` | `sqlResultSetMapping`
`protected List<JaxbTableGenerator>` | `tableGenerator`
`protected String` | `version`

Constructor Summary
`JaxbEntityMappings()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getDescription()` Gets the value of the description property.
`List<JaxbEmbeddable>` | `getEmbeddable()` Gets the value of the embeddable property.
`List<JaxbEntity>` | `getEntity()` Gets the value of the entity property.
`List<JaxbMappedSuperclass>` | `getMappedSuperclass()` Gets the value of the mappedSuperclass property.
`List<JaxbNamedNativeQuery>` | `getNamedNativeQuery()` Gets the value of the namedNativeQuery property.
`List<JaxbNamedQuery>` | `getNamedQuery()` Gets the value of the namedQuery property.
`String` | `getPackage()` Gets the value of the package property.
`JaxbPersistenceUnitMetadata` | `getPersistenceUnitMetadata()` Gets the value of the persistenceUnitMetadata property.
`String` | `getSchema()` Gets the value of the schema property.
`List<JaxbSequenceGenerator>` | `getSequenceGenerator()` Gets the value of the sequenceGenerator property.
`List<JaxbSqlResultSetMapping>` | `getSqlResultSetMapping()` Gets the value of the sqlResultSetMapping property.
`List<JaxbTableGenerator>` | `getTableGenerator()` Gets the value of the tableGenerator property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setPackage(String value)` Sets the value of the package property.
`void` | `setPersistenceUnitMetadata(JaxbPersistenceUnitMetadata value)` Sets the value of the persistenceUnitMetadata property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### persistenceUnitMetadata

    protected JaxbPersistenceUnitMetadata persistenceUnitMetadata

### _package

    protected String _package

### schema

    protected String schema

### catalog

    protected String catalog

### access

    protected JaxbAccessType access

### sequenceGenerator

    protected List<JaxbSequenceGenerator> sequenceGenerator

### tableGenerator

    protected List<JaxbTableGenerator> tableGenerator

### namedQuery

    protected List<JaxbNamedQuery> namedQuery

### namedNativeQuery

    protected List<JaxbNamedNativeQuery> namedNativeQuery

### sqlResultSetMapping

    protected List<JaxbSqlResultSetMapping> sqlResultSetMapping

### mappedSuperclass

    protected List<JaxbMappedSuperclass> mappedSuperclass

### entity

    protected List<JaxbEntity> entity

### embeddable

    protected List<JaxbEmbeddable> embeddable

### version

    protected String version

Constructor Detail

### JaxbEntityMappings

    public JaxbEntityMappings()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getPersistenceUnitMetadata

    public JaxbPersistenceUnitMetadata getPersistenceUnitMetadata()

  Gets the value of the persistenceUnitMetadata property.

  Returns:
    possible object is `JaxbPersistenceUnitMetadata`

### setPersistenceUnitMetadata

    public void setPersistenceUnitMetadata(JaxbPersistenceUnitMetadata value)

  Sets the value of the persistenceUnitMetadata property.

  Parameters:
    `value` - allowed object is `JaxbPersistenceUnitMetadata`

### getPackage

    public String getPackage()

  Gets the value of the package property.

  Returns:
    possible object is `String`

### setPackage

    public void setPackage(String value)

  Sets the value of the package property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### getSequenceGenerator

    public List<JaxbSequenceGenerator> getSequenceGenerator()

  Gets the value of the sequenceGenerator property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sequenceGenerator property.

  For example, to add a new item, do as follows:

          getSequenceGenerator().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSequenceGenerator`

### getTableGenerator

    public List<JaxbTableGenerator> getTableGenerator()

  Gets the value of the tableGenerator property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tableGenerator property.

  For example, to add a new item, do as follows:

          getTableGenerator().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTableGenerator`

### getNamedQuery

    public List<JaxbNamedQuery> getNamedQuery()

  Gets the value of the namedQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the namedQuery property.

  For example, to add a new item, do as follows:

          getNamedQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbNamedQuery`

### getNamedNativeQuery

    public List<JaxbNamedNativeQuery> getNamedNativeQuery()

  Gets the value of the namedNativeQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the namedNativeQuery property.

  For example, to add a new item, do as follows:

          getNamedNativeQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbNamedNativeQuery`

### getSqlResultSetMapping

    public List<JaxbSqlResultSetMapping> getSqlResultSetMapping()

  Gets the value of the sqlResultSetMapping property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sqlResultSetMapping property.

  For example, to add a new item, do as follows:

          getSqlResultSetMapping().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSqlResultSetMapping`

### getMappedSuperclass

    public List<JaxbMappedSuperclass> getMappedSuperclass()

  Gets the value of the mappedSuperclass property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mappedSuperclass property.

  For example, to add a new item, do as follows:

          getMappedSuperclass().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMappedSuperclass`

### getEntity

    public List<JaxbEntity> getEntity()

  Gets the value of the entity property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the entity property.

  For example, to add a new item, do as follows:

          getEntity().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEntity`

### getEmbeddable

    public List<JaxbEmbeddable> getEmbeddable()

  Gets the value of the embeddable property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the embeddable property.

  For example, to add a new item, do as follows:

          getEmbeddable().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEmbeddable`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.